| Flutter Windows Embedder |

Public Attributes | List of all members
flutter::HostWindow::HostWindowInitializationParams Struct Reference

`#include <host_window.h>`

## Public Attributes
WindowArchetype | archetype
DWORD | window_style
DWORD | extended_window_style
const BoxConstraints & | box_constraints
Rect const | initial_window_rect
LPCWSTR | title
std::optional< HWND > const & | owner_window
int | nCmdShow = SW_SHOWNORMAL
FlutterWindowsViewSizingDelegate * | sizing_delegate = nullptr
bool | is_sized_to_content = false

## Detailed Description

Definition at line 118 of file host_window.h.

## Member Data Documentation

## ◆ archetype

WindowArchetype flutter::HostWindow::HostWindowInitializationParams::archetype

Definition at line 119 of file host_window.h.

Referenced by flutter::HostWindowDialog::HostWindowDialog(), and flutter::HostWindowRegular::HostWindowRegular().

## ◆ box_constraints

const BoxConstraints& flutter::HostWindow::HostWindowInitializationParams::box_constraints

Definition at line 122 of file host_window.h.

Referenced by flutter::HostWindow::InitializeFlutterView().

## ◆ extended_window_style

DWORD flutter::HostWindow::HostWindowInitializationParams::extended_window_style

Definition at line 121 of file host_window.h.

Referenced by flutter::HostWindow::InitializeFlutterView().

## ◆ initial_window_rect

Rect const flutter::HostWindow::HostWindowInitializationParams::initial_window_rect

Definition at line 123 of file host_window.h.

Referenced by flutter::HostWindow::InitializeFlutterView().

## ◆ is_sized_to_content

bool flutter::HostWindow::HostWindowInitializationParams::is_sized_to_content = false

Definition at line 128 of file host_window.h.

Referenced by flutter::HostWindow::InitializeFlutterView().

## ◆ nCmdShow

int flutter::HostWindow::HostWindowInitializationParams::nCmdShow = SW_SHOWNORMAL

Definition at line 126 of file host_window.h.

Referenced by flutter::HostWindow::InitializeFlutterView().

## ◆ owner_window

std::optional<HWND> const& flutter::HostWindow::HostWindowInitializationParams::owner_window

Definition at line 125 of file host_window.h.

Referenced by flutter::HostWindow::InitializeFlutterView().

## ◆ sizing_delegate

FlutterWindowsViewSizingDelegate* flutter::HostWindow::HostWindowInitializationParams::sizing_delegate = nullptr

Definition at line 127 of file host_window.h.

Referenced by flutter::HostWindow::InitializeFlutterView().

## ◆ title

LPCWSTR flutter::HostWindow::HostWindowInitializationParams::title

Definition at line 124 of file host_window.h.

Referenced by flutter::HostWindow::InitializeFlutterView().

## ◆ window_style

DWORD flutter::HostWindow::HostWindowInitializationParams::window_style

Definition at line 120 of file host_window.h.

Referenced by flutter::HostWindow::InitializeFlutterView().

The documentation for this struct was generated from the following file:

- shell/platform/windows/host_window.h